---
search:
  tags:
    - Invitations
    - POST
seo:
  description: >-
    Invite a team member. Reference for the POST
    /v1/organizations/{orgId}/invitations endpoint in the Stashtab Vault
    Warehouse API.
sidebar:
  label: Invite a team member
  badge: POST
title: Invite a team member
type: openapi-operation
---
`POST /v1/organizations/{orgId}/invitations`

**Request body** (`application/json`, required)

- `email` (string<email>, required)
- `role` (string, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "email": "user@example.com",
  "role": "viewer",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "invitation": {
      "createdAt": "2019-08-24T14:15:22Z",
      "email": "string",
      "expiresAt": "2019-08-24T14:15:22Z",
      "id": "string",
      "role": "viewer",
      "status": "pending"
    },
    "invitationEmail": {
      "status": "provider_accepted"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
